For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a gateway

get
Authorizations
defguard_sessionstringRequired
Path parameters
gateway_idinteger · int64Required

ID of the gateway.

Responses
200

Gateway details.

application/json
addressstringRequired
certificate_expirystring · nullableOptional
certificate_serialstring · nullableOptional
connected_atstring · nullableOptional
core_client_cert_expirystring · nullableOptional
disconnected_atstring · nullableOptional
enabledbooleanRequired
idinteger · int64Required
location_idinteger · int64Required
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
portinteger · int32Required
versionstring · nullableOptional
get/api/v1/gateway/{gateway_id}
GET /api/v1/gateway/{gateway_id} HTTP/1.1
Accept: */*
{
  "address": "text",
  "certificate_expiry": null,
  "certificate_serial": null,
  "connected_at": null,
  "core_client_cert_expiry": null,
  "disconnected_at": null,
  "enabled": true,
  "id": 1,
  "location_id": 1,
  "modified_at": "2026-01-01T00:00:00.000Z",
  "modified_by": "text",
  "name": "text",
  "port": 1,
  "version": null
}

Last updated

Was this helpful?